Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Conversations

Get a voice agent conversation

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id}

Retrieves a single conversation recorded for the specified voice agent endpoint by its id. Returns 404 when the conversation was not persisted (store = false) or does not exist.

Paramètres de chemin d’accès

agent_name string obligatoire

The name of the agent.

conversation_id string obligatoire

The id of the conversation to retrieve.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Réponses

The request has succeeded.

Corps

Content-Type: application/json
id string obligatoire

The unique id of the conversation.

object enum obligatoire

The object type. Always voice.conversation.

voice.conversation
status string | enum obligatoire

The lifecycle status of a persisted voice conversation: - in_progress: the live session is active, or post-session persistence finalization is pending. - completed: finalization succeeded after normal or client close, end_conversation, a max-duration 1001 close, or a client or network disconnect that the service can still finalize. - failed: a terminal service, bridge, storage, or unrecoverable transport failure prevented finalization.

Un des éléments suivants :
string
enum
in_progresscompletedfailed
created_at integer obligatoire
completed_at integer
metadata object

A set of key-value pairs attached to the conversation.

[key: string] string
usage OpenAI.RealtimeResponseUsage
total_tokens integer
input_tokens integer
output_tokens integer
input_token_details OpenAI.RealtimeResponseUsageInputTokenDetails
cached_tokens integer
text_tokens integer
image_tokens integer
audio_tokens integer
cached_tokens_details OpenAI.RealtimeResponseUsageInputTokenDetailsCachedTokensDetails
text_tokens integer
image_tokens integer
audio_tokens integer
output_token_details OpenAI.RealtimeResponseUsageOutputTokenDetails
text_tokens integer
audio_tokens integer
last_error OpenAI.Error
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Requête

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026